/*******************************************************************************
 * FoxItemRenewDialogBox generated by Eliot.UELib using UE Explorer.
 * Eliot.UELib ? 2009-2015 Eliot van Uytfanghe. All rights reserved.
 * http://eliotvu.com
 *
 * All rights belong to their respective owners.
 *******************************************************************************/
class FoxItemRenewDialogBox extends FoxItemPurchaseDialogBox within FoxUI
    native(UI)
    config(UI);

struct native RenewDialogBoxProperties extends PurchaseDialogBoxProperties
{
    var InventoryMetaData InventoryItem;

    structdefaultproperties
    {
        PurchaseInfo=(Duration=0,PurchaseType=EPurchaseType.EPRCH_Inventory,Quantity=0,bEquip=false)
        bCanActivate=false
    }
};

var private InventoryMetaData InventoryItem;

function ShowRenewDialog(const RenewDialogBoxProperties DialogProperties)
{
    local PurchaseDialogBoxProperties BaseProps;

    BaseProps.PurchaseInfo = DialogProperties.PurchaseInfo;
    BaseProps.StoreItem = DialogProperties.StoreItem;
    BaseProps.OnWorkingDialogShow = DialogProperties.OnWorkingDialogShow;
    BaseProps.OnWorkingDialogHide = DialogProperties.OnWorkingDialogHide;
    BaseProps.OnPurchaseItemComplete = DialogProperties.OnPurchaseItemComplete;
    BaseProps.OnDialogButtonPressed = PurchaseItem;
    BaseProps.PurchaseInfo.PurchaseType = 0;
    BaseProps.AssociatedUnlockID = DialogProperties.AssociatedUnlockID;
    BaseProps.bShowNavigationButton = DialogProperties.bShowNavigationButton;
    ShowDialog(BaseProps);
    //return;    
}

protected function RenewItem(bool bResult)
{
    local FoxRenewItemUI RenewItemUI;
    local FoxItemCacheStore StoreCache;

    // End:0x2F7
    if(bResult && class'FoxDataStore_StoreData'.static.GetCachedStore(StoreCache))
    {
        RenewItemUI = new (Outer) class'FoxRenewItemUI';
        // End:0x2F4
        if(PopulatePurchaseInfo(RenewItemUI.PurchaseInfo))
        {
            RenewItemUI.StoreItem = CurrentProperties.StoreItem;
            RenewItemUI.bCanEquip = CurrentProperties.bCanEquip;
            RenewItemUI.bLocked = bLocked;
            RenewItemUI.RenewInstanceId = InventoryItem.InstanceId;
            RenewItemUI.__PostPurchaseItem__Delegate = CurrentProperties.OnPurchaseItemComplete;
            // End:0x1FB
            if(CurrentProperties.OnWorkingDialogShow != none)
            {
                RenewItemUI.__OnWorkingDialogShow__Delegate = CurrentProperties.OnWorkingDialogShow;
            }
            // End:0x258
            if(CurrentProperties.OnWorkingDialogHide != none)
            {
                RenewItemUI.__OnWorkingDialogHide__Delegate = CurrentProperties.OnWorkingDialogHide;
            }
            // End:0x2D4
            if(StoreCache.HasExpiredOffers(CurrentProperties.StoreItem.ItemGuid, CurrentTime))
            {
                RenewItemUI.OffersExpired();
            }
            // End:0x2F4
            else
            {
                RenewItemUI.RenewItem(true);
            }
        }
    }
    // End:0x354
    else
    {
        // End:0x354
        if(CurrentProperties.OnPurchaseItemComplete != none)
        {
            __PostPurchaseItem__Delegate = CurrentProperties.OnPurchaseItemComplete;
            PostPurchaseItem(false, false);
        }
    }
    //return;    
}

private final event ei_acceptButtonPressed(string Arg)
{
    // End:0x17
    if(bCloseOnButtonPress)
    {
        CloseDialog();
    }
    NotifyButtonPressed(0);
    //return;    
}

defaultproperties
{
    bCanLeaveInactive=false
    DialogTitleLabel="CONFIRM EXTENSION"
}